Subject: Re: [manet] Question for: AODV Local Repair

From: "Sherif Khattab" <[email-masked]>
Date: Fri, 28 Mar 2003 11:40:17 +0000

Hi Erik,

   For the first problem, the reverse path breakage, the reverse path will 
be broken anyway when node (5) moves. The local-repair mechanism tries to 
repair the forward path only but the reverse path will be repaired once node 
(5) sends a packet to (8), in which case (7) will send a RERR and (5) will 
issue RREQ for (8) and most probably it will be (4) who sends the RREP back 
establishing a route entry in (7) for (8). i think this behavior of 
on-demand repairing of the reverse path conforms with the reactive nature of 
AODV.

  For the second issue, packets from (8) to (5) are not going to update the 
expiration time for the route entry of (8) anyway. Only entries of (5) will 
get updated. So, i think the local repair mechanism is not causing a route 
expiration problem.

am i right?

Sherif

>From: "Erik Weiss, ComNets" <[email-masked]>
>To: [email-masked]
>Subject: [manet] Question for: AODV Local Repair
>Date: Fri, 28 Mar 2003 09:54:40 +0100 (CET)
>
>
>Hi all,
>
>i have a question about AODV Local Repair,
>
>Considering the following case:
>
>This Route was built:
>
>(8)  ->  (9) ->  (3) -> (4) ->  (5)
>
>Now the node 5 moves and 4 initiates a local repair, it will end up
>something like the following.
>
>Expected 4 sends the RREQ for Dest 5
>(8)  ->  (9) ->  (3) -> (4) ->  (7) ->  (5)
>
>
>Now 7 got the request originated by 4 and with 7, the destination(5) is
>reachable again.
>However 7 didn't have the source node (8) in its routing table, because
>the RREQ has been sent by 4, therefore also no next hop towards the source
>exists, and the reverse path is not properly build!
>Each Paket arriving 7 from 8 does not update the times for source (8) and
>next hop (7) towards (8).
>Further more  the routing table entry for (4) will expire although we are
>receiving continuously packets from 4.
>
>Possible but complex alternative:
>4 sends the RREQ on behalf of 8 however,  temporary routing
>tables and special handling for Request Id's will become necessary.
>
>
>Are these consideration right?
>Can someone give me a hint how (4) is able to repair the route without
>losing the reverse path and without the upcomig expiration of 4.
>
>
>
>Regards
>
>	Erik
>
>
>_______________________________________________
>manet mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/manet

_________________________________________________________________
Add photos to your messages with MSN 8. Get 2 months FREE*. 
http://join.msn.com/?page=features/featuredemail

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Erik Weiss, ComNets" <[email-masked]>
Date: Fri, 28 Mar 2003 13:55:53 +0100 (CET)

First of all, thanks for your answer!

> on-demand repairing of the reverse path conforms with the reactive nature of

Of courcse you're true, however!!!

> get updated. So, i think the local repair mechanism is not causing a route

Well at AODV draft 12/13 page 11 you can find the following chaper, I just
copied it.

   Each time a route is used to forward a data packet, its Active
   Route Lifetime field of the source, destination and the next hop
   on the path to the destination is updated to be no less than the
   current time plus ACTIVE_ROUTE_TIMEOUT. Since the route between each
   originator and destination pair are expected to be symmetric, the
   Active Route Lifetime for the previous hop, along the reverse path
   back to the IP source, is also updated to be no less than the current
   time plus ACTIVE_ROUTE_TIMEOUT.

In the case of symetric links and in view that's the most propable case.

>From my understanding, always source, destination and both next hops
toward them are updated! Although the IP address from the next hops are
only available from the routing table. Therfore we might updating stale
entries:

This leads to described exipration problem, isn't it?

Cheers

	Erik